---
title: A measure of how easily thoughts can be translated to action
category: blog
---

Recently, I've been using multiple different languages and frameworks (both at work and personally) and I've been thinking about why I prefer some over others. Ultimately, I think it comes down to this:

_How easily can I translate what I am thinking about into a working setup?_

That is, how much effort needs to go into converting my idea into a solution? (If there is not already a word for this, then there should be. Don't worry, I am willing to take the hit and have it named after me.)

For example, I've been building this website over the past month or so. Generally, for static websites, I think that HTML + CSS are very good at allowing me to get what I see in my head running on `localhost`. At this point CSS has so many different options that you just need to find the right search terms in order to get what you want.

However, they are both lacking somewhat in _intuitiveness_. Especially when starting out, it can get very confusing to know the right tags and the right syntax and the right placement (and so on) to realise your vision. 

This is where services like Squarespace et al. come into play. They give you that intuitive UI, dragging and dropping of features, resizing and changing colours. They make it super duper easy to do the actual building, at the cost of the range of bricks you can use.

So, we have two measures:
1. Can I do everything I want to?
2. How easy is it?

These are usually a direct tradeoff, with ease typically preferred over options. This tends to frustrate me, as I want full control of all those little configurations.

The solution to this, at least for me, are frameworks such as Bootstrap and Jekyll. They put a layer between the user and the options; essentially translating and simplying all the little configurations into something much easier to work with. Columns in Bootstrap make page layouts simple; markdown-to-html parsing in Jekyll makes text formatting a breeze. But, most importantly of all, these frameworks don't sacrifice on the possibilities. They make it easier to apply complex setups, but if you want to go in and tweak absolutely everything to your liking, go right ahead. By providing the user with simpler ways of doing the same things as before, they manage to bridge the gap between _Can I do everything I want to?_ and _How easy is it?_. And I think that is beautiful.
