---
title: Weeklinks 001 - Philosophy, grief and macaques
category: blog
layout: post
---

I read a lot of stuff on the internet. A lot of it I don't enjoy, or it outright angers me. However, I frequently come across some diamonds in the rough: articles I really enjoy, useful tools and guides, a dearth of blog posts and the ever-present Wikipedia article.

The problem that I face is that all of this consumption is ephemeral. I read an blog post, think to myself _Wow that was a really great read_ and then promptly forget all about it. To resolve this, I am starting (as of right now) a weekly-ish roundup of all the interesting stuff that I've read and found. It helps me keep track of all the stuff I have read, and also has the added benefit of sharing it with others. 

Without further ado:

- A [very interesting philosophy paper](https://consc.net/papers/extended.html) on the limits of the human mind. Where can the mind actually be said to end? How is a diary any different from your memories? This is especially potent when considered with the possibility of neural implants and the increasingly common cyborg-fetishism of the ultra-rich. I take extensive notes at work, and it is fun to consider whether they are actually a _part_ of me. 

- A bit less heavy, this [blog post](https://jacobbartlett.substack.com/p/my-toddler-loves-planes-so-i-built) about a father who built his daughter her own radar app to spot planes together is both heartwarming and technically interesting. I recommend the [HN thread](https://news.ycombinator.com/item?id=38435908) where I came across this too, it has some equally nice stories about technology and parenthood.

- [This post](https://www.robinsloan.com/notes/home-cooked-app/) is in the same vein. A story of family's beloved app reaching the end of its life, and being manually revived (but only for the family). It has a nice sentiment about software on a small-scale, as something that can be personal, private, and free from corporate interests. 

- [Here](https://d3ward.github.io/toolz/adblock.html) is a useful tool for checking how good your browser setup is for blocking ads and fingerprinting. Pretty happy with 99%, but room for improvement.

- A fun little rabbit hole of a [Wikipedia page](https://en.wikipedia.org/wiki/Approximate_measures) about approximate measurements. Apparently dash, pinch, smidgen, drop and hint are all quantifiable!

- Another rather techy [blog post](https://luke.hsiao.dev/blog/housing-documentation/) about why you should write documentation for your house. This currently exists for my partner and I as a couple of binders filled with notes, instruction booklets and takeaway menus, but I am looking forward to a proper setup whenever I get around to it.

- [This](https://www.theparisreview.org/blog/2023/10/16/were-more-ghosts-than-people/) is a very interesting piece on religion and loss, explored through a relationship to a virtual character. Thought-provoking stuff, especially when confonting how we strive for control in our lives even with death always looming over us. I will certainly never play _Red Dead Redemption 2_ in the same way.

- And finally (for a happier ending): enjoy [these excellent photos](https://time.com/3148/these-monkeys-are-having-the-best-spa-day-ever/) of Japanese macaques in a hot spring. I especially like this [almost biblical one](https://api.time.com/wp-content/uploads/2014/01/japanese-macaque-snow-monkeys-spa-day-3.jpg).

Thanks for reading!<br>
A.