---
title: Weeklinks 004 - Obfuscation, dial-up and tiny chess
category: blog
layout: post
---

I am back after the winter break, and glad to say that I did a whole lot of reading over the holidays. I have a **swathe** of links for you, covering a whole range of topics and interests. Let's jump in!

- First up is [this rather demoralising article](https://www.404media.co/facebook-is-being-overrun-with-stolen-ai-generated-images-that-people-think-are-real/) about the fake image epidemic plaguing Facebook and the internet as a whole. I've resisted the so-called "AI revolution" from the beginning, and stuff like this is exactly why. On a better note, [404 Media](https://www.404media.co) are doing some great reporting on this and similar topics, check them out.

- I finally found time for [this ~30 minute Tom Scott video](https://www.youtube.com/watch?v=QqRREz0iBes) about the world's largest optical telescope, and it was just as good as I expected. So many interesting insights in here, but my favourite was the way the mirrors are created. ***Literally atomising*** aluminium and spraying it in a fine mist. Crazy stuff.

- [This](https://mm.icann.org/pipermail/tz/2023-December/033317.html) is an interesting (and kinda hilarious) email exchange from the Vostok Antarctic Research Base, about changing their timezone.

- [More great reporting](https://www.404media.co/laion-datasets-removed-stanford-csam-child-abuse/) from 404 Media on the terrible and awful effects of "moving fast and breaking things".

- [This](https://ethanzuckerman.com/2023/12/22/how-big-is-youtube/) is a great analysis of the current size of YouTube (*way* bigger than I expected, even though I knew it was huge). It seems insane that the number of videos appears to have almost doubled from 2021 to 2023 (!!). This also led me down the interesting Wikipedia rabbit hole of the [German tank problem](https://en.m.wikipedia.org/wiki/German_tank_problem)

- This one is a little late, due to the Christmas theme, but it is worth it. I highly recommend compiling and running this [horrifying C code](https://udel.edu/~mm/xmas/xmas.c) and observing the output. There is a breakdown [here](https://udel.edu/~mm/xmas/), but sometimes it's better to bask in ignorance.

- If you phone [this number](https://talkpaperscissors.com/), you will get matched up against a random opponent to play Rock Paper Scissors. I haven't tried it myself (it requires a US number), but I am interested to hear your thoughts!

- If you know me, then you know I love people on the internet using their strange, domain-specific knowledge to implement a ridiculous idea. [Dial-up over a Discord Call](https://www.lilysthings.org/blog/discord-dialup/) certainly ticks those boxes.

- Similar to the above, [this](https://www.fourbardesign.com/2020/10/diy-espresso.html?m=1) is a wildly impressive blog post about DIY-ing a pocket-sized espresso machine.

- If you are bored and have a browser handy, I recently found out that PICO-8 games are playable in the browser [over on itch.io](https://itch.io/games/platform-web/tag-pico-8). POOM to your heart's content!

- [An interesting look](https://english.stackexchange.com/questions/9780/did-english-ever-have-a-formal-version-of-you) at the English language, and whether we ever had a formal version of you.

- Next up, [a fascinating breakdown](https://forrestheller.com/Apollo-11-Computer-vs-USB-C-chargers.html) of how the Apollo 11 guidance computer compares to the CPUs inside everyday phone chargers.

- If you are interested in writing code (or learning to), [this is a great list](https://austinhenley.com/blog/challengingprojects.html) of challenging projects for you to try.

- [A nice breakdown](https://blogsystem5.substack.com/p/the-ides-we-had-30-years-ago-and) of old IDEs, coupled with a bit of consternation about the things that we have lost since then.

- [Here](https://dubroy.com/blog/cold-blooded-software/) is a nice sentiment about writing software which will continue to work (long after it stops being maintained) along with a great story. I especially like the bit about "boring technology".
 
- On the lighter side, [here is a humourous write up](https://andreasjhkarlsson.github.io/jekyll/update/2023/12/27/4-billion-if-statements.html) about creating a script to tell if a number is odd or even, one number at a time.

- [This is an excellent video](https://www.youtube.com/watch?v=Ne40a5LkK6A), covering Sebastian Lague's tiny chess bot championship. Many interesting insights and tidbits throughout, and it has definitely inpsired me to get into [chess programming](https://www.chessprogramming.org/Getting_Started).

- [Some thoughts from Simon Willison](https://simonwillison.net/2024/Jan/2/escalating-streaks/) on motivation through the tracking of streaks.

- And last but not least, rounding out the list we have another [article from 404 Media](https://www.404media.co/13-year-old-becomes-first-person-to-ever-beat-tetris/), about the first person to quote-on-quote "beat" Tetris.

Phew! We made it. Thanks for reading if you stuck around. I am going to attempt to be more consistent with these throughout 2024, but as always, no promises. 

A.
